## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
BEGIN IMMEDIATE TRANSACTION;
.parameter
PRAGMA temp_store = '0';
PRAGMA cache_spill = julianday(-(-(-like('', '', ''))));
PRAGMA auto_vacuum = ')';
.timeout
CREATE TABLE A(Name text);
CREATE TABLE Items(ItemName text , Name text);
INSERT INTO Items VALUES('Item1','Parent');
INSERT INTO Items VALUES('Item2','Parent');
CREATE TABLE B(Name text);
SELECT Items.ItemName FROM Items LEFT JOIN A ON (A.Name = Items.ItemName OR Items.ItemName = 'dummy') LEFT JOIN B ON (B.Name = Items.ItemName) WHERE Items.Name = 'Parent' ORDER BY Items.ItemName;

SELECT Name FROM B WHERE Name = (SELECT MAX(Name) FROM B);
SELECT * FROM B AS a FULL OUTER JOIN Items AS b ON a.rowid = b.rowid;
INSERT INTO B DEFAULT VALUES;
CREATE TABLE T (
  a INTEGER,
  b TEXT,
  c REAL
);
INSERT INTO T VALUES (-852966518777461081,'a',1.25), (2,'b',-3.5), (3,'c',9e999);
WITH d AS (SELECT * FROM T) SELECT * FROM d WHERE c > 0;
END TRANSACTION;
INSERT INTO B DEFAULT VALUES;
PRAGMA short_column_names = YES;
ALTER TABLE T DROP COLUMN a;
ALTER TABLE T RENAME TO T_r1550;
```

## Actual output

```sql
3.39.0 2022-05-10 23:28:12 764b71267e0b31ff7eaf2a0def7526a1a02dce4d5b456dea060d97ed342ealt1
```

## Expectation

```sql
3.51.1 2025-11-28 17:28:25 281fc0e9afc38674b9b0991943b9e9d1e64c6cbdb133d35f6f5c87ff6af38a88 (64-bit)
```

## Flag

```
-version
```

